## EXPORT_SPEC int UpnpSetMaxSubscriptions

## ( IN UpnpDevice_Handle Hnd,
IN int MaxSubscriptions )

> UpnpSetMaxSubscriptions sets the maximum number of subscriptions accepted per service.

## Documentation

> UpnpSetMaxSubscriptions sets the maximum number of subscriptions accepted per service. The default value accepts as many as system resources allow. If the number of current subscriptions for a service is greater than the requested value, the SDK accepts no new subscriptions or renewals, however, the SDK does not remove any current subscriptions.

Parameters:
  Hnd - The handle of the device for which the maximum number of subscriptions is being set.
  MaxSubscriptions - The maximum number of subscriptions to be allowed per service.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid device handle.

Alphabetic index

This page was generated with the help of DOC++.